part of 'onboarding_bloc.dart';

abstract class OnboardingEvent extends Equatable {
  const OnboardingEvent();

  @override
  List<Object> get props => [];
}

class OnboardingNextPressed extends OnboardingEvent {
  final int totalPages;
  const OnboardingNextPressed(this.totalPages);

  @override
  List<Object> get props => [totalPages];
}

class OnboardingSkipPressed extends OnboardingEvent {}

class OnboardingPageChanged extends OnboardingEvent {
  final int index;
  const OnboardingPageChanged(this.index);

  @override
  List<Object> get props => [index];
}
